const formToJSON = elements => [].reduce.call(elements, (data, element) => {
    data[element.name] = element.value;
    return data;

}, {});

function redErrors(item) {
    item.classList.remove('hidden');
}

const handleFormSubmit = event =>{
    event.preventDefault();
    if(form.elements[1].value === '' || form.elements[2].value === '' || form.elements[3].value === '' || !document.getElementById('rules').checked) {
        const errors = document.getElementsByClassName('error hidden');
        while(errors.length != 0) {
            redErrors(errors[0]);
        }
        return;
    }
    const data = formToJSON(form.elements);
    console.log(JSON.stringify(data, null, ""));
};
const form = document.getElementsByClassName('new-inscription')[0];
form.addEventListener('submit', handleFormSubmit);
